# Maintainer: Konrad Adasiewicz <omicronns@gmail.com>
pkgname=libfprint-elantech-upstream-git
pkgver=r333.41d642b
pkgrel=1
pkgdesc='Library for fingerprint readers'
arch=('i686' 'x86_64')
url='https://github.com/iafilatov/libfprint'
license=('LGPL')
depends=('libusb' 'nss' 'pixman' 'glib2')
makedepends=('git')
provides=('libfprint')
conflicts=('libfprint')
source=("$pkgname::git+https://github.com/iafilatov/libfprint")
md5sums=('SKIP')

pkgver() {
    cd "$srcdir/$pkgname"
    printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

prepare() {
    cd "$srcdir/$pkgname"

    NOCONFIGURE=1 ./autogen.sh
}

build() {
    cd "$srcdir/$pkgname"

    ./configure --prefix=/usr \
                --sysconfdir=/etc \
                --disable-static

    sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

    make
}

package() {
    cd "$srcdir/$pkgname"

    make DESTDIR="$pkgdir" install
}

